## puma 3.52.0

=== DESCRIPTION ===
Package: puma
Type: Package
Title: Propagating Uncertainty in Microarray Analysis(including
        Affymetrix tranditional 3' arrays and exon arrays and Human
        Transcriptome Array 2.0)
Version: 3.52.0
Date: 2015-7-29
Author: Richard D. Pearson, Xuejun Liu, Magnus Rattray, Marta Milo, Neil D.
    Lawrence, Guido Sanguinetti, Li Zhang
Maintainer: Xuejun Liu <xuejun.liu@nuaa.edu.cn>
Depends: R (>= 3.2.0), oligo (>= 1.32.0),graphics,grDevices, methods,
        stats, utils, mclust, oligoClasses
Imports: Biobase (>= 2.5.5), affy (>= 1.46.0), affyio, oligoClasses
Suggests: pumadata, affydata, snow, limma, ROCR,annotate
Description: Most analyses of Affymetrix GeneChip data (including tranditional 3' arrays and exon arrays and Human Transcriptome Array 2.0) are based on point estimates of expression levels and ignore the uncertainty of such estimates. By propagating uncertainty to downstream analyses we can improve results from microarray analyses. For the first time, the puma package makes a suite of uncertainty propagation methods available to a general audience. In additon to calculte gene expression from Affymetrix 3' arrays, puma also provides methods to process exon arrays and produces gene and isoform expression for alternative splicing study. puma also offers improvements in terms of scope and speed of execution over previously available uncertainty propagation methods. Included are summarisation, differential expression detection, clustering and PCA methods, together with useful plotting functions.
License: LGPL
biocViews: Microarray, OneChannel, Preprocessing,
        DifferentialExpression, Clustering, ExonArray, GeneExpression,
        mRNAMicroarray, ChipOnChip, AlternativeSplicing,
        DifferentialSplicing, Bayesian, TwoChannel, DataImport, HTA2.0
URL: http://umber.sbs.man.ac.uk/resources/puma
Packaged: 2025-10-30 05:51:53 UTC; biocbuild
NeedsCompilation: yes
git_url: https://git.bioconductor.org/packages/puma
git_branch: RELEASE_3_22
git_last_commit: fa4369b
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29

## puma 3.6.0

=== debian/changelog ===
puma (3.6.0-1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2019-16770: client could use keepalive requests to monopolize
    Puma's reactor and create a denial of service attack
  * Fix CVE-2020-5247: HTTP Response Splitting
  * Fix CVE-2022-23634: Puma did not always close the response body which could
    lead to information leakage.

 -- Markus Koschany <apo@debian.org>  Wed, 25 May 2022 16:03:03 +0200

puma (3.6.0-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2020-11076 and CVE-2020-11077 : misuse of invalid
    transfer-encoding header

 -- Abhijith PA <abhijith@debian.org>  Fri, 02 Oct 2020 23:06:04 +0530

puma (3.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #720336)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Nov 2016 16:47:06 -0200

=== debian/control ===
Source: puma
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               ruby-rack,
               ruby-hoe,
               libssl1.0-dev,
               rake
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/puma.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/puma.git
Homepage: http://puma.io
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: puma
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: threaded HTTP 1.1 server for Ruby/Rack applications
 Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
 Ruby/Rack applications. Puma is intended for use in both development and
 production environments.

## puma 3.11.3

=== debian/changelog ===
puma (3.11.3-1) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders:
  * New upstream version 3.11.3
  * Build against libssl-dev instead of libssl1.0-dev (Closes: #859542)
  * Refresh packaging files with `dh-make-ruby -wo .`
    * Bump debhelper compat to 11
    * Change Vcs-* to point to salsa.debian.org
    * Use standard debian/ruby-tests.rake
      * drop build-dependency on ruby-hoe
  * Refresh patches
  * New patches:
    - 0006-test-helper.rb-drop-bundler-usage.patch
    - 0007-test-test_cli.rb-disable-test-that-fails-randomly.patch
  * Replace 0001-test_puma_server_ssl-update-for-newer-versions-of-Op.patch
    with 0001-test_puma_server_ssl-disable-test-that-takes-too-lon.patch


 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Mar 2018 18:53:22 -0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                gem2deb,
+               libssl-dev,
+               rake,
                ruby-rack,
-               ruby-hoe,
-               libssl1.0-dev,
-               rake
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/puma.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/puma.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: http://puma.io
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all

## puma 3.12.0

=== debian/changelog ===
puma (3.12.0-2+deb10u2+rebuild) UNRELEASED; urgency=medium

  * update

 -- Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>  Tue, 08 Dec 2020 20:06:34 +0800

puma (3.12.0-2+deb10u2) buster; urgency=medium

  * Team upload.
  * d/patches/0009-disable-tests-failing-in-single-cpu.patch: Add author and
    bug tracker information.
  * d/patches/CVE-2020-5247.patch: Add patch to fix CVE-2020-5247.
    - Fix header value could inject their own HTTP response (closes: #952766).
  * d/patches/CVE-2020-5249.patch: Add patch to fix CVE-2020-5249.
    - Fix splitting newlines in headers and another vector for HTTP injection
      (closes: #953122).
  * d/patches/CVE-2020-11076.patch: Add patch to fix CVE-2020-11076.
    - Better handle client input to fix HTTP Smuggling via Transfer-Encoding
      header (closes: #972102).
  * d/patches/CVE-2020-11077.patch: Add patch to fix CVE-2020-11077.
    - Reduce ambiguity of headers to fix HTTP Smuggling via Transfer-Encoding
      header (closes: #972102).
  * d/patches/series: Enable new patches.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 15 Oct 2020 23:39:36 +0200

puma (3.12.0-2+deb10u1) buster; urgency=medium

  * Team upload.
  * d/control (Vcs-Git): Add branch.
  * d/patches/CVE-2019-16770.patch: Add patch.
    - Backport fix for CVE-2019-16770 from upstream (closes: #946312).
  * d/patches/series: Add patch.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Mar 2020 00:15:43 +0100

puma (3.12.0-2) unstable; urgency=medium

  * Disable tests failing in single cpu (Closes: #921931)

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Feb 2019 18:56:47 +0530

puma (3.12.0-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream version 3.12.0
  * Refresh patches

  [ Pirate Praveen ]
  * Fix OpenSSL 1.1.1 test failures with upstream patch (Closes: #900156)
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Add myself to uploaders

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Feb 2019 10:56:59 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
                gem2deb,
                libssl-dev,
                rake,
                ruby-rack,
-Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/buster
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: http://puma.io
 Testsuite: autopkgtest-pkg-ruby

=== debian/watch ===
version=3
https://github.com/puma/puma/releases .*/v(.*).tar.gz

## puma 3.12.4

=== debian/changelog ===
puma (3.12.4-1ubuntu2) focal; urgency=medium

  - Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP: #1866881).

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Tue, 10 Mar 2020 15:46:46 -0300

puma (3.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-5247 (closes: #952766).
    - Fixes CVE-2020-5249 (closes: #953122).
  * d/control (Section): Changed to web.
    (Homepage): Use secure URL.
    (Depends): Add ${ruby:Depends}.
  * d/copyright (Source): Use secure URL.
  * d/ruby-tests.rake: Disable test/test_puma_server_ssl.rb for the moment.
    These tests fail due to openssl being configured to use SECLEVEL2
    (https://github.com/puma/puma/issues/2147).
  * d/rules: Add override to install upstream changelog.
  * d/watch: Rename downloaded tarball to include package name.
  * d/patches/0008-fix-ssl-tests.patch: Remove patch. Applied upstream.
  * d/patches/CVE-2019-16770.patch: Ditto.
  * d/patches/*.patch: Refresh patches.
  * d/patches/series: Adjust.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Mar 2020 23:09:16 +0100

puma (3.12.0-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2020 11:02:15 +0100

puma (3.12.0-4) unstable; urgency=medium

  * Team upload.
  * d/control (Rules-Requires-Root): Set to binary-targets.
  * d/patches/0011-disable-minitest-extensions.patch: Add patch.
    - Disable unavailable minitest retry extension.
  * d/patches/CVE-2019-16770.patch: Add patch.
    - Backport fix for CVE-2019-16770 from upstream (closes: #946312).
  * d/patches/series: Add patch.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 06 Feb 2020 12:54:59 +0100

puma (3.12.0-3) unstable; urgency=medium

  * Team upload.
  * d/compat: Remove obsolete file.
  * d/control: Add Rules-Requires-Root field.
    (Build-Depends): Use debhelper-compat.
    (Standards-Version): Bump to 4.5.0.
    (Depends): Drop ruby-interpreter.
  * d/copyright (Format): Fix insecure-copyright-format-uri and add myself.
  * d/puma.1, d/pumactl.1: Add manual pages.
  * d/puma.manpages: Install manual pages.
  * d/ruby-tests.rake: Set verbose mode.
  * d/patches/0010-fix-cluster-exit-for-ruby27.patch: Add patch.
    - Fix hang with Ruby >= 2.6 when shutting down workers.
  * d/patches/series: Enable new patch.
  * d/upstream/metadata: Add metadata.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 05 Feb 2020 18:20:58 +0100

puma (3.12.0-2ubuntu1) disco; urgency=medium

  * Disable a test that fails on Ubuntu builder farm, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Apr 2019 16:25:42 +0200

=== debian/control ===
Source: puma
Section: web
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12), gem2deb, libssl-dev, rake, ruby-rack
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
Vcs-Browser: https://salsa.debian.org/ruby-team/puma
Homepage: https://puma.io
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: binary-targets

Package: puma
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby, ${misc:Depends}, ${ruby:Depends}, ${shlibs:Depends}
Description: threaded HTTP 1.1 server for Ruby/Rack applications
 Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
 Ruby/Rack applications. Puma is intended for use in both development and
 production environments.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs History.md

## puma 3.53.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Propagating Uncertainty in Microarray Analysis(including
         Affymetrix tranditional 3' arrays and exon arrays and Human
         Transcriptome Array 2.0)
-Version: 3.52.0
+Version: 3.53.0
 Date: 2015-7-29
 Author: Richard D. Pearson, Xuejun Liu, Magnus Rattray, Marta Milo, Neil D.
     Lawrence, Guido Sanguinetti, Li Zhang
@@ -19,11 +19,11 @@
         mRNAMicroarray, ChipOnChip, AlternativeSplicing,
         DifferentialSplicing, Bayesian, TwoChannel, DataImport, HTA2.0
 URL: http://umber.sbs.man.ac.uk/resources/puma
-Packaged: 2025-10-30 05:51:53 UTC; biocbuild
+Packaged: 2025-10-31 23:35:36 UTC; biocbuild
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/puma
-git_branch: RELEASE_3_22
-git_last_commit: fa4369b
+git_branch: devel
+git_last_commit: fdcbc97
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-31

## puma 4.3.6

=== debian/changelog ===
puma (4.3.6-1ubuntu4) hirsute; urgency=medium

  * Another attempt to fix autopkgtest regressions (LP: #1916954, #1906307)
    - d/p/skip-test-hanging-on-s390x.patch: renamed to
      skip-test-hanging-on-different-arches.patch. Also skipped another test
      which is timing out on s390x, arm64 and ppc64el so far.
    - d/ruby-tests.rake:
      + Set CI environment variable to 300. This will make tests time out
        after 5 minutes and not hang there forever, which can helps us identify
        problems more easily.
      + Do not run test/test_cli.rb tests on arm64, different test cases from
        this test file have been failing for a while. Some investigation with
        upstream maintainers is ongoing.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 01 Mar 2021 10:53:51 -0300

puma (4.3.6-1ubuntu3) hirsute; urgency=medium

  * Fix autopkgtest regressions on s390x and arm64 (LP: #1916954)
    - d/p/skip-test-hanging-on-s390x.patch: this is a workaround for now. The
      discussion with the Debian maintainer is ongoing.
    - d/t/autopkgtest-pkg-ruby.conf: add restrictions to the autodep8 test
      definition.
    - d/t/control: removed. The test defined runs the same command than the
      one defined by autodep8. In Debian this test is manually defined to run
      OpenSSL related tests, but in Ubuntu we disabled them. 

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 25 Feb 2021 17:57:53 -0300

puma (4.3.6-1ubuntu2) hirsute; urgency=medium

  * d/t/control: do not run SSL tests with autopkgtest. Due to OpenSSL
    differences between Ubuntu and Debian some tests are failing with
    autopkgtest only.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 19 Feb 2021 16:52:12 -0300

puma (4.3.6-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP: #1866881).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 08:12:56 +0100

puma (4.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    - Fixes CVE-2020-11076 and CVE-2020-11077 (closes: #972102).
  * d/copyright: Minor update.
  * d/puma.lintian-overrides: Add package override.
  * d/ruby-tests.rake: Add logic to run SSL test.
  * d/patches/*.patch: Add missing headers and refresh.
  * d/source/lintian-overrides: Add source override.
  * d/tests/control: Set environment variable to run the SSL tests separately
    (similar to the solution used in the jekyll package).
  * d/tests/test-puma-server-ssl*: Removed.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 15 Oct 2020 20:57:29 +0200

puma (4.3.3-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP: #1866881).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Sep 2020 11:42:08 +0200

puma (4.3.3-3) unstable; urgency=medium

  * Include patch from gitlab to improve performance

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Aug 2020 00:15:20 +0530

puma (4.3.3-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/tests/test_puma_server_ssl,
    debian/tests/test_puma_server_ssl.rake: Run test/test_puma_server_ssl.rb
    in an openssl enviroment not using the Debian defaults.
  * debian/tests/control: Add new test.

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pirate Praveen ]
  * Remove debian-branch option from debian/gbp.conf
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 03 Aug 2020 15:37:16 +0530

puma (4.3.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-5247 (closes: #952766).
    - Fixes CVE-2020-5249 (closes: #953122).
  * d/control (Section): Change to web.
    (Vcs-Git): Indicate branch name via -b debian/experimental.
    (Homepage): Use secure URL.
    (Depends): Use ${ruby:Depends}.
  * d/copyright (Source): Use secure URL.
  * d/rules: Add override to install upstream changelog.
  * d/watch: Use package name for tarball.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Mar 2020 01:34:17 +0100

puma (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2019-16770 Keepalive thread overload/DoS (closes: #946312).
  * d/control (Rules-Requires-Root): Set to binary-targets.
    (Build-Depends, Depends): Add ruby-nio4r.
    (Build-Depends): Add curl for test/test_integration_single.rb.
  * d/ruby-tests.rake: Disable test/test_puma_server_ssl.rb.
  * d/README.source: Add to explain tests which have been disabled.
  * d/patches/0004-puma.gemspec-drop-git-usage.patch: Refresh patch.
  * d/patches/0011-disable-minitest-extensions.patch: Add patch.
    - Disable unavailable minitest extensions (retry and proveit).
  * d/patches/0012-disable-cli-ssl-tests.patch: Add patch.
    - Disable CLI SSL tests.
  * d/patches/0013-fix-test-term-not-accepts-new-connections.patch: Add.
    - Fix test_term_not_accepts_new_connections to be locale independent.
  * d/patches/0002-test_integration-disable-test-that-fails-randomly.patch,
    d/patches/0003-test_cli-disable-test-that-rails-randomly.patch,
    d/patches/0005-test_puma_server-disable-test-that-fails-randomly.patch,
    d/patches/0006-test-helper.rb-drop-bundler-usage.patch,
    d/patches/0007-test-test_cli.rb-disable-test-that-fails-randomly.patch,
    d/patches/0008-fix-ssl-tests.patch,
    d/patches/0009-disable-tests-failing-in-single-cpu.patch,
    d/patches/0010-fix-cluster-exit-for-ruby27.patch: Remove obsolete patches.
  * d/patches/series: Adjust.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 06 Feb 2020 11:45:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper-compat (= 12), gem2deb, libssl-dev, rake, ruby-rack
+Build-Depends: curl,
+               debhelper-compat (= 12),
+               gem2deb,
+               libssl-dev,
+               rake,
+               ruby-nio4r (>= 2),
+               ruby-rack (<< 3)
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io
 Testsuite: autopkgtest-pkg-ruby

## puma 4.3.8

=== debian/changelog ===
puma (4.3.8-1+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2024-21647, CVE-2024-45614

 -- Abhijith PA <abhijith@debian.org>  Wed, 06 Nov 2024 13:05:57 +0530

puma (4.3.8-1+deb11u2) bullseye-security; urgency=medium

  * Team upload.
  * d/p: Add security patch for CVE-2021-41136

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 14 Apr 2022 10:05:32 +0000

puma (4.3.8-1+deb11u1) bullseye-security; urgency=medium

  * Team upload.
  * d/p: Add security patch for CVE-2022-23634 (closes: #1005391)
  * d/p: Add security patch for CVE-2022-24790 (closes: #1008723)

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 13 Apr 2022 01:13:45 +0000

puma (4.3.8-1) unstable; urgency=medium

  * New upstream version 4.3.8 (Closes: #989054) (Fixes: CVE-2021-29509)

 -- Pirate Praveen <praveen@debian.org>  Wed, 26 May 2021 10:24:19 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: curl,
                debhelper-compat (= 12),

## puma 5.5.2

=== debian/changelog ===
puma (5.5.2-2ubuntu2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 18:17:16 -0300

puma (5.5.2-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix autopkgtest regressions on multiple architectures
      (LP #1916954, #1906307)
      + d/p/skip-tests-hanging-on-different-arches.patch: this is a
        workaround for now. The discussion with the Debian maintainer is
        ongoing.
  * Dropped:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP #1866881).
    - d/t/control: do not run SSL tests with autopkgtest. Due to OpenSSL
      differences between Ubuntu and Debian some tests are failing with
      autopkgtest only.
    - d/t/control: removed. The test defined runs the same command than the
      one defined by autodep8. In Debian this test is manually defined to run
      OpenSSL related tests, but in Ubuntu we disabled them.
    - d/t/autopkgtest-pkg-ruby.conf: add restrictions to the autodep8 test
      definition.
    - d/ruby-tests.rake:
      + Set CI environment variable to 300. This will make tests time out
        after 5 minutes and not hang there forever, which can helps us identify
        problems more easily.
      + Do not run test/test_cli.rb tests on arm64, different test cases from
        this test file have been failing for a while. Some investigation with
        upstream maintainers is ongoing.
  * Added:
    - d/p/fix-ssl-test.patch: Fix FTBFS against OpenSSL 3.
    - d/p/skip-integration-tests-failing-in-ubuntu-autopkgtest-env.patch:
      some tests are failing only in autopkgtest and need further
      investigation.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 24 Nov 2021 11:30:05 -0300

puma (5.5.2-2) unstable; urgency=medium

  * Team upload
  * debian/rules: force an UTF-8 locale
  * debian/ruby-tests.rake: wrap lines
  * debian/ruby-tests.rake: run all ssl tests on autopkgtest only
  * debian/test/control: give ssl test a name

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Nov 2021 16:35:12 -0300

puma (5.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.5.2
    - Builds and tests fine again (Closes: #998295)
  * Add build-dependency on ruby-localhost
  * debian/rules: exclude several unnecessary files from installation

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Nov 2021 14:39:10 -0300

puma (5.3.2-3) unstable; urgency=medium

  * Use --gem-install layout option of dh-ruby

 -- Pirate Praveen <praveen@debian.org>  Tue, 12 Oct 2021 02:24:33 +0530

puma (5.3.2-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 Oct 2021 03:17:23 +0530

puma (5.3.2-1) experimental; urgency=medium

  * New upstream version 5.3.2 (Closes: #989054) (Fixes: CVE-2021-29509)
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 May 2021 22:34:53 +0530

puma (5.2.2-2) experimental; urgency=medium

  * Disable test that failied on amd64 buildd

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 Mar 2021 23:03:52 +0530

puma (5.2.2-1) experimental; urgency=medium

  * New upstream version 5.2.2
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Refresh patches for new upstream release
  * Add ruby-minitest-stub-const as build dependency
  * Disable failing tests

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Mar 2021 21:03:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: curl,
-               debhelper-compat (= 12),
-               gem2deb,
+               debhelper-compat (= 13),
+               gem2deb (>= 1.6),
                libssl-dev,
                rake,
+               ruby-localhost,
                ruby-nio4r (>= 2),
-               ruby-rack (<< 3)
-Standards-Version: 4.5.0
+               ruby-rack (<< 3),
+               ruby-minitest-stub-const
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io

=== debian/tests/control ===
Test-Command: export AUTOPKGTEST_TEST_PUMA_SERVER_SSL=1 && gem2deb-test-runner --check-dependencies --autopkgtest
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=ssl

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/puma/puma/releases .*/v([\d.]+)\.tar\.gz

## puma 5.6.5

=== debian/changelog ===
puma (5.6.5-3+deb12u1) bookworm; urgency=medium

  * Team upload
  * d/patches/
   + CVE-2023-40175.patch: Fix CVE-2023-40175, incorrect behavior when
     parsing chunked transfer encoding bodies and zero-length
     Content-Length headers in a way that allowed HTTP request
     smuggling. (Closes: #1050079)

   + CVE-2024-21647.patch: Fix CVE-2024-21647 by limiting the size of
     chunk extensions. (Closes: #1060345)

   + CVE-2024-45614.patch: Fix CVE-2024-45614, clients could clobber
     values set by intermediate proxies (such as X-Forwarded-For) by
     providing a underscore version of the same header.
     (Closes: #1082379)

 -- Abhijith PA <abhijith@debian.org>  Wed, 29 Jan 2025 07:26:33 +0530

puma (5.6.5-3) unstable; urgency=medium

  * Team upload.
  * d/control (Vcs-Git): Fix URL.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 Feb 2023 16:24:05 +0100

puma (5.6.5-2) unstable; urgency=medium

  * debian/ruby-tests.rake: skip test that fails often (Closes: #1006022)
  * debian/ruby-tests.rake: exclude tests that fail often but not always

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Nov 2022 09:26:37 -0300

puma (5.6.5-1) unstable; urgency=medium

  * Update watch file for github.com pattern change
  * New upstream version 5.6.5
  * Refresh patches
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Oct 2022 22:44:46 +0530

puma (5.6.4-1) unstable; urgency=medium

  * New upstream version 5.6.4
  * Refresh patches
  * Disable some tests that fail with 
     NameError: uninitialized constant Puma::LogWriter
  * Remove tmp/restart.txt in clean

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Apr 2022 13:24:10 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: curl,
                debhelper-compat (= 13),
@@ -13,8 +12,8 @@
                ruby-nio4r (>= 2),
                ruby-rack (<< 3),
                ruby-minitest-stub-const
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io
 Testsuite: autopkgtest-pkg-ruby

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY = --gem-install
+export DH_RUBY_GEM_INSTALL_EXCLUDE = benchmarks/* docs/* win_gem_test/* tools/* bin/puma-wild
+export LANG = C.UTF-8
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/puma/puma/releases \
https://api.github.com/repos/puma/puma/tarball/v@ANY_VERSION@

## puma 6.4.2

=== debian/changelog ===
puma (6.4.2-4ubuntu4.3) noble-security; urgency=medium

  * SECURITY UPDATE: header clobbering using underscores
    - debian/patches/CVE-2024-45614.patch: prevent underscores from
      clobbering hyphen headers in lib/puma/const.rb, lib/puma/request.rb,
      ext/puma_http11/org/jruby/puma/Http11.java, test/test_normalize.rb,
      test/test_request_invalid.rb.
    - CVE-2024-45614
  * Fix FTBFS due to certs expiration:
    - d/p/0009-CI-update-chain-certs-example-files-3426.patch
    - d/p/0010-Update-all-certs.patch
    - d/p/0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
  * Fix autopkgtests:
    - d/p/0019-Fix-path-of-certs-used-by-test_puma_server_ssl.patch
    - debian/tests/test_puma_server_ssl: switch to ruby3.2.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2024 08:30:04 -0400

puma (6.4.2-4ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:29 +1100

puma (6.4.2-4ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:05:58 +0000

puma (6.4.2-4ubuntu2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:09:38 -0300

puma (6.4.2-4ubuntu1) noble; urgency=medium

  * d/p/0018-disable-test-failing-with-ruby3.2.patch: some tests are failing
    because they take too long, they do not seem real regressions.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 07 Feb 2024 19:16:00 -0300

puma (6.4.2-4) unstable; urgency=medium

  * Disable test failing on armhf

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Feb 2024 18:13:41 +0530

puma (6.4.2-3) unstable; urgency=medium

  * Add Breaks: rails (<< 2:6.1.7.3+dfsg-3~)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 15:12:00 +0530

puma (6.4.2-2) unstable; urgency=medium

  * Disable test failing on arm64 buildd

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 14:11:14 +0530

puma (6.4.2-1) unstable; urgency=medium

  * Switch to github tags from releases (6.4.2 is only available from tags)
  * New upstream version 6.4.2 (Fixes: CVE-2024-21647)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 01:08:22 +0530

puma (6.4.0-4) unstable; urgency=medium

  * Remove minitest/retry as well (copy from 5.x branch and fixes salsa ci)
  * Export LC_ALL also to C.UTF-8 (hoping this would fix some test failures)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 00:52:13 +0530

puma (6.4.0-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Feb 2024 01:16:15 +0530

puma (6.4.0-2) experimental; urgency=medium

  * Set TEST_CASE_TIMEOUT = 300 (one test is timing out on amd64 buildd)

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Dec 2023 23:59:02 +0530

puma (6.4.0-1) experimental; urgency=medium

  * New upstream version 6.4.0
  * Disable more tests and refresh patches
  * Add procps to build depends for kill command (used in tests)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Dec 2023 13:58:23 +0530

puma (6.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control (Standards-Version): Bump to 4.6.2.
    (Build-Depends): Add ruby-sd-notify.
  * d/copyright (Copyright): Update years.
  * d/ruby-tests.rake: Re-enable multiple tests (closes: #984713).
  * d/upstream/metadata: Adjust a few URLs.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 Feb 2023 16:12:20 +0100

=== debian/control ===
Source: puma
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>
Build-Depends: curl,
               debhelper-compat (= 13),
               gem2deb (>= 1.6),
               libssl-dev,
               rake,
               ruby-localhost,
               ruby-minitest-stub-const,
               ruby-nio4r (>= 2),
               ruby-rack (<< 3),
               ruby-sd-notify,
               procps
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/ruby-team/puma
Homepage: https://puma.io
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: binary-targets

Package: puma
Architecture: any
Breaks: rails (<< 2:6.1.7.3+dfsg-3~)
Depends: ruby, ${misc:Depends}, ${ruby:Depends}, ${shlibs:Depends}
Description: threaded HTTP 1.1 server for Ruby/Rack applications
 Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
 Ruby/Rack applications. Puma is intended for use in both development and
 production environments.

## puma 6.4.3

=== debian/changelog ===
puma (6.4.3-2) unstable; urgency=medium

  * Team upload.
  * d/p/0018-disable-test-failing-with-ruby3.2.patch: fix FTBFS

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 23 Dec 2024 19:07:19 -0300

puma (6.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Fixes CVE-2024-45614 (Closes: #1082379)
  * Remove custom ssl autopkgtest.
    - https://lists.debian.org/debian-ruby/2024/11/msg00006.html
  * Update certificates for tests.

 -- Abhijith PA <abhijith@debian.org>  Mon, 30 Sep 2024 09:46:18 +0530

puma (6.4.2-6) unstable; urgency=medium

  * Fix FTBFS due to certs expiration (Closes: #1078640)
    - d/p/0010-Update-all-certs.patch
    - d/p/0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
  * Declare compliance with Debian Policy 4.7.0.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 19 Sep 2024 17:56:24 -0300

puma (6.4.2-5) unstable; urgency=medium

  * Backport upstream patch to update certificates in examples.
    This fixes a test failure.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 20 Jul 2024 12:24:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: curl,
@@ -16,7 +15,7 @@
                ruby-rack (<< 3),
                ruby-sd-notify,
                procps
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io

## puma 6.6.0

=== debian/changelog ===
puma (6.6.0-4) unstable; urgency=medium

  * Team upload.
  * Do not generate example certificates in build time to avoid build
    depending on Java
  * d/p/0019-adapt-test-certs-generation.patch: adjust example certificates
    generation script
  * d/p/0020-update-ex-certs.patch: update example certificates to avoid a
    regression for #1078640
  * debian/README.source: document test certificates generation

 -- Athos Ribeiro <athos@debian.org>  Thu, 17 Jul 2025 07:20:19 -0300

puma (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Freshly generate example certificates for test suite (Closes: #1078640)

 -- Timo Röhling <roehling@debian.org>  Wed, 16 Jul 2025 21:51:16 +0200

puma (6.6.0-2) unstable; urgency=medium

  * Team upload
  * Change build-dependency on ruby-rackup to
    ruby-rackup | ruby-rack (<< 3), to allow migration to testing
    independently of rackup or rack 3.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 07 Feb 2025 21:46:17 +0100

puma (6.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.5.0, with fixes for rack 3. Closes: #1094539
  * Refresh patches for 6.5.0
  * Drop patches (were upstream backports, so no longer needed):
      + 0009-CI-update-chain-certs-example-files-3426.patch
      + 0010-Update-all-certs.patch
      + 0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
      + 0014-Give-a-wide-berth-on-the-timeout-as-sometimes-CI-is-.patch
      + 0018-update-certs-from-upstream.patch
  * Refresh packaging using dh-make-ruby
  * Add build-dep on rackup for Rack::Handler
  * New upstream version 6.6.0
  * Refresh patches again, for 6.6.0
  * Add build-dep on ruby-concurrent
  * Add patch: 0010-Disable-test-concurrency-without-concurrent_ruby.patch
  * Drop unmatched lintian override

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 05 Feb 2025 14:56:49 +0100

puma (6.4.3-3) unstable; urgency=medium

  * d/p/0014-Give-a-wide-berth-on-the-timeout-as-sometimes-CI-is-.patch:
    increase timeout to fix FTBFS with ruby 3.3.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 22 Jan 2025 17:06:59 -0300

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 export DH_RUBY = --gem-install
 export DH_RUBY_GEM_INSTALL_EXCLUDE = benchmarks/* docs/* win_gem_test/* tools/* bin/puma-wild
 export LANG = C.UTF-8
+export LC_ALL = C.UTF-8
+export TEST_CASE_TIMEOUT = 300
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/puma/puma/tags \
https://api.github.com/repos/puma/puma/tarball/refs/tags/v@ANY_VERSION@
